JGraph X 1.4.0.9

## com.mxgraph.shape
Class mxLineShape

    java.lang.Object
      com.mxgraph.shape.mxBasicShape
          com.mxgraph.shape.mxLineShape

All Implemented Interfaces:
  mxIShape

    public class mxLineShape

extends mxBasicShape

Constructor Summary
`mxLineShape()`

Method Summary
`mxPoint[]` `createPoints(mxGraphics2DCanvas canvas, mxCellState state)`
`void` `paintShape(mxGraphics2DCanvas canvas, mxCellState state)`

Methods inherited from class com.mxgraph.shape.mxBasicShape
`configureGraphics, createShape, getFillColor, getStrokeColor, hasShadow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxLineShape

    public mxLineShape()

Method Detail

### paintShape

    public void paintShape(mxGraphics2DCanvas canvas,
                           mxCellState state)

  Specified by:
    `paintShape` in interface `mxIShape`
  Overrides:
    `paintShape` in class `mxBasicShape`

### createPoints

    public mxPoint[] createPoints(mxGraphics2DCanvas canvas,
                                  mxCellState state)

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.